Package org.apache.synapse.commons.snmp

# Class SNMPConstants

java.lang.Object
org.apache.synapse.commons.snmp.SNMPConstants

public class SNMPConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BC_FILE`
  `static final String`
  `CONFIG_FILE`
  `static final String`
  `SNMP_COMMUNITY_NAME`
  `static final String`
  `SNMP_CONTACT_NAME`
  `static final String`
  `SNMP_CONTEXT_NAME`
  `static final String`
  `SNMP_DEFAULT_COMMUNITY_NAME`
  `static final String`
  `SNMP_DEFAULT_CONTACT_NAME`
  `static final String`
  `SNMP_DEFAULT_CONTEXT_NAME`
  `static final String`
  `SNMP_DEFAULT_DESCRIPTION`
  `static final String`
  `SNMP_DEFAULT_HOST`
  `static final String`
  `SNMP_DEFAULT_LOCATION`
  `static final int`
  `SNMP_DEFAULT_PORT`
  `static final String`
  `SNMP_DEFAULT_SECURITY_NAME`
  `static final String`
  `SNMP_DEFAULT_VERSION`
  `static final String`
  `SNMP_DESCRIPTION`
  `static final String`
  `SNMP_ENABLED`
  `static final String`
  `SNMP_HOST`
  `static final String`
  `SNMP_LOCATION`
  `static final String`
  `SNMP_PORT`
  `static final String`
  `SNMP_SECURITY_NAME`
  `static final String`
  `SNMP_VERSION`
  `static final String`
  `SNMP_VERSION_1`
  `static final String`
  `SNMP_VERSION_2_C`
  `static final String`
  `SYNAPSE_OID_BRANCH`
  This OID branch has been uniquely assigned to the Synapse project by the ASF.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SNMPConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SYNAPSE_OID_BRANCH

    public static final String SYNAPSE_OID_BRANCH
    This OID branch has been uniquely assigned to the Synapse project by the ASF. Please do not change.
    See Also:
      - ASF OID Assignments
      - Constant Field Values

  - ### SNMP_VERSION_1

    public static final String SNMP_VERSION_1
    See Also:
      - Constant Field Values

  - ### SNMP_VERSION_2_C

    public static final String SNMP_VERSION_2_C
    See Also:
      - Constant Field Values

  - ### SNMP_ENABLED

    public static final String SNMP_ENABLED
    See Also:
      - Constant Field Values

  - ### SNMP_COMMUNITY_NAME

    public static final String SNMP_COMMUNITY_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_SECURITY_NAME

    public static final String SNMP_SECURITY_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_CONTEXT_NAME

    public static final String SNMP_CONTEXT_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_HOST

    public static final String SNMP_HOST
    See Also:
      - Constant Field Values

  - ### SNMP_PORT

    public static final String SNMP_PORT
    See Also:
      - Constant Field Values

  - ### SNMP_VERSION

    public static final String SNMP_VERSION
    See Also:
      - Constant Field Values

  - ### SNMP_CONTACT_NAME

    public static final String SNMP_CONTACT_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_DESCRIPTION

    public static final String SNMP_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### SNMP_LOCATION

    public static final String SNMP_LOCATION
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_COMMUNITY_NAME

    public static final String SNMP_DEFAULT_COMMUNITY_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_SECURITY_NAME

    public static final String SNMP_DEFAULT_SECURITY_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_CONTEXT_NAME

    public static final String SNMP_DEFAULT_CONTEXT_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_HOST

    public static final String SNMP_DEFAULT_HOST
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_PORT

    public static final int SNMP_DEFAULT_PORT
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_VERSION

    public static final String SNMP_DEFAULT_VERSION
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_CONTACT_NAME

    public static final String SNMP_DEFAULT_CONTACT_NAME
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_DESCRIPTION

    public static final String SNMP_DEFAULT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### SNMP_DEFAULT_LOCATION

    public static final String SNMP_DEFAULT_LOCATION
    See Also:
      - Constant Field Values

  - ### BC_FILE

    public static final String BC_FILE
    See Also:
      - Constant Field Values

  - ### CONFIG_FILE

    public static final String CONFIG_FILE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SNMPConstants

    public SNMPConstants()